- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Generators::BFIG::CDBFIG::CDBFIGFactory Class Reference

`#include <CDBFIGFactory.h>`

Inheritance diagram for Mers::Generators::BFIG::CDBFIG::CDBFIGFactory:

[legend]
Collaboration diagram for Mers::Generators::BFIG::CDBFIG::CDBFIGFactory:

[legend]
List of all members.

## Public Member Functions
| CDBFIGFactory ()
virtual | ~CDBFIGFactory ()
virtual Mers::Generators::BFIG::BFIG * | create (std::vector< Mers::Generators::BFIG::BFIGVariable * > const &variableSet, double cutoffCost) throw ()
virtual Mers::Generators::BFIG::BFIG * | create (std::vector< Mers::Generators::BFIG::BFIGVariable * > const &variableSet) throw ()
virtual Mers::Generators::BFIG::BFIG * | create (std::vector< Mers::Generators::BFIG::BFIGVariable * > const &variableSet, Mers::Generators::BFIG::BFIGObjectiveFunction const *ocspObjectiveFunction, double cutoffCost) throw ()

## Detailed Description

A factory that can be used to create a Conflict-Directed BFIG object given the appropriate set of initializers.

Author:
  Paul H. Elliott

Definition at line 30 of file CDBFIGFactory.h.

## Constructor & Destructor Documentation

CDBFIGFactory::CDBFIGFactory | ( |  | ) |

Creates a new Conflict-Directed BFIG Facotry.

Definition at line 29 of file CDBFIGFactory.cpp.

CDBFIGFactory::~CDBFIGFactory | ( |  | ) | `[virtual]`

Destroys this object.

Definition at line 35 of file CDBFIGFactory.cpp.

## Member Function Documentation

virtual Mers::Generators::BFIG::BFIG* Mers::Generators::BFIG::CDBFIG::CDBFIGFactory::create | ( | std::vector< Mers::Generators::BFIG::BFIGVariable * > const & | variableSet,
|  | double | cutoffCost |
| ) |  |  | throw ()`[virtual]`

Returns a new Conflict-Directed BFIG object given the set of variables that should be enumerated over. This version will include a maximum cost at which no further candidates are generated.

Parameters:

  | variableSet | The set of variables that need to be enumerated over.
  | cutoffCost | The cost at which the candidate will no longer be returned.

Returns:
  A BFIG object that will enumerated over the specified variables. The function will throw an exception if it is given invalid arguments, and will thus never return NULL.

virtual Mers::Generators::BFIG::BFIG* Mers::Generators::BFIG::CDBFIG::CDBFIGFactory::create | ( | std::vector< Mers::Generators::BFIG::BFIGVariable * > const & | variableSet | ) | throw ()`[virtual]`

Returns a new Conflict-Directed BFIG object given the set of variables that should be enumerated over. All possible candidates will be returned.

Parameters:

  | variableSet | The set of variables that need to be enumerated over.

Returns:
  A BFIG object that will enumerated over the specified variables. The function will throw an exception if it is given invalid arguments, and will thus never return NULL.

virtual Mers::Generators::BFIG::BFIG* Mers::Generators::BFIG::CDBFIG::CDBFIGFactory::create | ( | std::vector< Mers::Generators::BFIG::BFIGVariable * > const & | variableSet,
|  | Mers::Generators::BFIG::BFIGObjectiveFunction const * | ocspObjectiveFunction,
|  | double | cutoffCost |
| ) |  |  | throw ()`[virtual]`

Returns a new Conflict-Directed BFIG object given the set of variables that should be enumerated over. This version will include a maximum cost at which no further candidates are generated.

Parameters:

  | variableSet | The set of variables that need to be enumerated over.
  | ocspObjectiveFunction | the OCSP objective function to be used with BFIG to enumerate the solutions to the OCSP in best-first order.
  | cutoffCost | The cost at which the candidate will no longer be returned.

Returns:
  A BFIG object that will enumerated over the specified variables. The function will throw an exception if it is given invalid arguments, and will thus never return NULL.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/CDBFIG/CDBFIGFactory.h
- /Users/fpy/titan-1-5-MBARI/Mers/Generators/BFIG/CDBFIG/CDBFIGFactory.cpp